Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# In Class Reference

The class In is the abstract base class for all classes that implement reading from streams. More...

`#include <InOut.h>`

Inheritance diagram for In:

[legend]
List of all members.

## Public Member Functions
In & | operator>> (char &value)
| Operator that reads a char from a stream.
In & | operator>> (unsigned char &value)
| Operator that reads an unsigned char from a stream.
In & | operator>> (short &value)
| Operator that reads a short int from a stream.
In & | operator>> (unsigned short &value)
| Operator that reads an unsigned short int from a stream.
In & | operator>> (int &value)
| Operator that reads an int from a stream.
In & | operator>> (unsigned int &value)
| Operator that reads an unsigned int from a stream.
In & | operator>> (long &value)
| Operator that reads a long int from a stream.
In & | operator>> (unsigned long &value)
| Operator that reads an unsigned long int from a stream.
In & | operator>> (float &value)
| Operator that reads a float from a stream.
In & | operator>> (double &value)
| Operator that reads a double from a stream.
In & | operator>> (char *value)
| Operator that reads a string from a stream.
In & | operator>> (In &(*f)(In &))
| Operator that reads the endl-symbol from a stream.
virtual void | read (void *p, int size)=0
| The function reads a number of bytes from a stream.
virtual void | skip (int size)=0
| The function skips a number of bytes in a stream.
virtual bool | eof () const=0
| Determines whether the end of file has been reached.
## Protected Member Functions
virtual void | inChar (char &)=0
| Virtual redirection for operator>>(char& value).
virtual void | inUChar (unsigned char &)=0
| Virtual redirection for operator>>(unsigend char& value).
virtual void | inShort (short &)=0
| Virtual redirection for operator>>(short& value).
virtual void | inUShort (unsigned short &)=0
| Virtual redirection for operator>>(unsigend short& value).
virtual void | inInt (int &)=0
| Virtual redirection for operator>>(int& value).
virtual void | inUInt (unsigned int &)=0
| Virtual redirection for operator>>(unsigend int& value).
virtual void | inLong (long &)=0
| Virtual redirection for operator>>(long& value).
virtual void | inULong (unsigned long &)=0
| Virtual redirection for operator>>(unsigend long& value).
virtual void | inFloat (float &)=0
| Virtual redirection for operator>>(float& value).
virtual void | inDouble (double &)=0
| Virtual redirection for operator>>(double& value).
virtual void | inString (char *)=0
| Virtual redirection for operator>>(char* value).
virtual void | inEndL ()=0
| Virtual redirection for operator>>(In& (*f)(In&)) that reads the symbol "endl";.

## Detailed Description

The class In is the abstract base class for all classes that implement reading from streams.

Definition at line 188 of file InOut.h.

## Member Function Documentation

virtual void In::inChar | ( | char & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(char& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inUChar | ( | unsigned char & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(unsigend char& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inShort | ( | short & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(short& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inUShort | ( | unsigned short & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(unsigend short& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inInt | ( | int & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(int& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inUInt | ( | unsigned int & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(unsigend int& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inLong | ( | long & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(long& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inULong | ( | unsigned long & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(unsigend long& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inFloat | ( | float & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(float& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inDouble | ( | double & |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(double& value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inString | ( | char * |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(char* value). Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual void In::inEndL | ( |  | ) | `[protected, pure virtual]`

| Virtual redirection for operator>>(In& (*f)(In&)) that reads the symbol "endl";. Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

In& In::operator>> | ( | char & | value | ) | `[inline]`

  | Operator that reads a char from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 258 of file InOut.h. References inChar().

Here is the call graph for this function:

In& In::operator>> | ( | unsigned char & | value | ) | `[inline]`

  | Operator that reads an unsigned char from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 265 of file InOut.h. References inUChar().

Here is the call graph for this function:

In& In::operator>> | ( | short & | value | ) | `[inline]`

  | Operator that reads a short int from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 272 of file InOut.h. References inShort().

Here is the call graph for this function:

In& In::operator>> | ( | unsigned short & | value | ) | `[inline]`

  | Operator that reads an unsigned short int from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 279 of file InOut.h. References inUShort().

Here is the call graph for this function:

In& In::operator>> | ( | int & | value | ) | `[inline]`

  | Operator that reads an int from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 286 of file InOut.h. References inInt().

Here is the call graph for this function:

In& In::operator>> | ( | unsigned int & | value | ) | `[inline]`

  | Operator that reads an unsigned int from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 292 of file InOut.h. References inUInt().

Here is the call graph for this function:

In& In::operator>> | ( | long & | value | ) | `[inline]`

  | Operator that reads a long int from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 299 of file InOut.h. References inLong().

Here is the call graph for this function:

In& In::operator>> | ( | unsigned long & | value | ) | `[inline]`

  | Operator that reads an unsigned long int from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 305 of file InOut.h. References inULong().

Here is the call graph for this function:

In& In::operator>> | ( | float & | value | ) | `[inline]`

  | Operator that reads a float from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 313 of file InOut.h. References inFloat().

Here is the call graph for this function:

In& In::operator>> | ( | double & | value | ) | `[inline]`

  | Operator that reads a double from a stream. Parameters:
  value | The value that is read.
Returns: The stream. Definition at line 320 of file InOut.h. References inDouble().

Here is the call graph for this function:

In& In::operator>> | ( | char * | value | ) | `[inline]`

  | Operator that reads a string from a stream. Parameters:
  value | The value that is read. Note that value must point to a memory area that is large enough to carry the string.
Returns: The stream. Definition at line 329 of file InOut.h. References inString().

Here is the call graph for this function:

In& In::operator>> | ( | In &(* | f)(In &) | ) | `[inline]`

  | Operator that reads the endl-symbol from a stream. Parameters:
  f | A function that is normally endl.
Returns: The stream. Definition at line 336 of file InOut.h. References inEndL().

Here is the call graph for this function:

virtual void In::read | ( | void * | p,
|  | int | size
| ) | `[pure virtual]`

  | The function reads a number of bytes from a stream. Parameters:
  p | The address the data is written to. Note that p must point to a memory area that is at least "size" bytes large.
  size | The number of bytes to be read.
Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>(), LinesTables2005::TemplateTable< TEMPLATES_MAX, POINT_RES >::read(), LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::read(), TemplateTable< 65000, 25 >::read(), and ObservationTable< 320, 240, 25, 25 >::read().

virtual void In::skip | ( | int | size | ) | `[pure virtual]`

  | The function skips a number of bytes in a stream. Parameters:
  size | The number of bytes to be skipped.
Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

virtual bool In::eof | ( |  | ) | const`[pure virtual]`

| Determines whether the end of file has been reached. Implemented in InStream< S, R >, InStream< InMessageQueue, InBinary >, InStream< InMemory, InText >, InStream< InFile, InText >, InStream< InMessageQueue, InText >, InStream< InFile, InConfig >, InStream< InMemory, InConfig >, InStream< InMessageQueue, InConfig >, InStream< InMemory, InBinary >, and InStream< InFile, InBinary >. Referenced by operator>>().

The documentation for this class was generated from the following file:

- Tools/Streams/InOut.h